# CLI-NASA

Welcome to the cli-nasa gem! This program is designed to allow individuals to
search through the NASA Image and Video Library to quickly find content displayed
by title and link URL. Users have the option to do a keyword search that returns
a wide variety of results, or a media-specific search for only audio, image, or
video files.

Once a user has selected a search and entered terms, they will have the ability
to view all related pieces of content as well as content-specific keywords &
descriptions.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'cli-nasa'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install cli-nasa

## Usage

Once the file is running, follow the provided prompts and list of commands
to access content and its associated data from the library. The main menu
provides the option to search by keyword for all types of media, or to search
for image, audio, or video content specifically.

Once a search has been made, users can interact with the title, description,
associated keyword, and a link to the content displayed on NASA.gov.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/cli-nasa. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [code of conduct](https://github.com/[USERNAME]/cli-nasa/blob/master/CODE_OF_CONDUCT.md).


## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Cli::Nasa project's codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/cli-nasa/blob/master/CODE_OF_CONDUCT.md).
